/* stylelint-disable at-rule-name-space-after */

.frame-list {
  height: 100%;
  overflow-x: hidden;
}

.frame-list-title {
  font-size: 1.2em;
}

.frame-list-item {
  background-color: $blue-lighter;
}

.frame-list-item-canceled {
  background-image: url("data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22UTF-8%22%20standalone%3D%22no%22%3F%3E %3C%21--%20Created%20with%20Inkscape%20%28http%3A%2F%2Fwww.inkscape.org%2F%29%20--%3E %3Csvg %20%20%20xmlns%3Asvg%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 %20%20%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22 %20%20%20version%3D%221.0%22 %20%20%20width%3D%22100%22 %20%20%20height%3D%22100%22 %20%20%20id%3D%22svg8978%22%3E %20%20%3Cdefs %20%20%20%20%20id%3D%22defs8980%22%20%2F%3E %20%20%3Cg %20%20%20%20%20id%3D%22layer1%22%3E %20%20%20%20%3Cpath %20%20%20%20%20%20%20d%3D%22M%206.3895625%2C6.4195626%20C%2093.580437%2C93.610437%2093.580437%2C93.610437%2093.580437%2C93.610437%22 %20%20%20%20%20%20%20style%3D%22fill%3Anone%3Bfill-rule%3Aevenodd%3Bstroke%3A%23ff0000%3Bstroke-width%3A18.05195999%3Bstroke-linecap%3Abutt%3Bstroke-linejoin%3Amiter%3Bstroke-miterlimit%3A4%3Bstroke-dasharray%3Anone%3Bstroke-opacity%3A1%22 %20%20%20%20%20%20%20id%3D%22path8986%22%20%2F%3E %20%20%20%20%3Cpath %20%20%20%20%20%20%20d%3D%22M%206.3894001%2C93.6106%20C%2093.830213%2C6.4194003%2093.830213%2C6.4194003%2093.830213%2C6.4194003%22 %20%20%20%20%20%20%20style%3D%22fill%3Anone%3Bfill-rule%3Aevenodd%3Bstroke%3A%23ff0000%3Bstroke-width%3A17.80202103%3Bstroke-linecap%3Abutt%3Bstroke-linejoin%3Amiter%3Bstroke-miterlimit%3A4%3Bstroke-dasharray%3Anone%3Bstroke-opacity%3A1%22 %20%20%20%20%20%20%20id%3D%22path8988%22%20%2F%3E %20%20%3C%2Fg%3E %3C%2Fsvg%3E");
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

.frame-list-item + .frame-list-item {
  margin-top: 5px;
}

.frame-list-item-header {
  font-size: 1.1em;
  margin: 0;
  padding: 7px;
  transition: background-color $default-transition-time;

  &:hover {
    cursor: pointer;
  }

  &:hover,
  &.active {
    background-color: rgba(0, 0, 0, 0.03);
  }
}

.frame-list-item-toggle-indicator,
.frame-list-item-interested {
  @include td-float(right);
  font-size: small;
  opacity: 0.6;
}

.frame-list-item-interested {
  @include td-margin(right, 20px);
}

.frame-list-item-time {
  @include td-margin(right, 10px);
}

.frame-list-item-region {
  font-size: 0.8em;
  margin-left: 5px;
}

.frame-list-free-seats {
  @include td-float(right);
  display: inline-block;
  margin-right: 15px;
  position: relative;
  text-align: right;
}

.frame-list-item-header > i {
  margin-top: 2px;
  opacity: 0.6;
}
